Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Servlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.hsqldb.Servlet

public class Servlet
extends javax.servlet.http.HttpServlet

Servlet acts as a interface between the applet and the database for the the client / server mode of HSQL Database Engine. It is not required if the included HSQL Database Engine WebServer is used, but if another HTTP server is used. The HTTP Server must support the Servlet API.

This class should not be used directly by the application. It will be called by the HTTP Server. The applet / application should use the jdbc* classes.

See Also:
  Serialized Form

Constructor Summary
`Servlet()` Constructor declaration
`Servlet(java.lang.String database)` Constructor declaration

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Method declaration
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Method declaration
`protected long` | `getLastModified(javax.servlet.http.HttpServletRequest req)` Method declaration
`(package private) void` | `init(java.lang.String database)` Method declaration

Methods inherited from class javax.servlet.http.HttpServlet
`, doDelete, doOptions, doPut, doTrace, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Servlet

    public Servlet()

  Constructor declaration

### Servlet

    public Servlet(java.lang.String database)

  Constructor declaration
  Parameters:
    `database` -

Method Detail

### init

    void init(java.lang.String database)

  Method declaration
  Parameters:
    `database` -

### getLastModified

    protected long getLastModified(javax.servlet.http.HttpServletRequest req)

  Method declaration
  Overrides:
    getLastModified in class javax.servlet.http.HttpServlet
  Parameters:
    `req` -
  Returns:

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Method declaration
  Overrides:
    doGet in class javax.servlet.http.HttpServlet
  Parameters:
    `request` -
    `response` -
  Throws:
    java.io.IOException -
    javax.servlet.ServletException -

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Method declaration
  Overrides:
    doPost in class javax.servlet.http.HttpServlet
  Parameters:
    `request` -
    `response` -
  Throws:
    java.io.IOException -
    javax.servlet.ServletException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD